# Configure title, colors and images/logos
# look for additional vars in documentation

# themes:
#   title: My company project
#   items:
#     - name: light
#       vars:
#         '--color-accent': '#F00'
#         '--image-header-logo': url(/themes/light/logo.header.2.svg)
#     - name: dark
#       vars:
#         '--color-accent': '#00F'
#         '--image-header-logo': url(/themes/light/logo.header.svg)

# Disable menu items example:
# menu:
#   disabled_items:
#     - video-wall
#     - counters

menu:
  disabled_items:
    - cases
    - case-cluster-wizard
# custom_reports:
#   - path: /custom/some/path  # don't forget to setup nginx upstream for this path
#     description: Create watchlist report
#     form:
#       title: Creating report with a form to fill out
#       schema:
#         - name: custom_input
#           label: 'Input field, requiered'
#           required: true
#           type: input
#           default: default value
#         - name: custom_datetime_form
#           label: 'Datetime from field, optional'
#           type: datetime
#         - name: custom_date_form
#           label: 'Date from field, optional'
#           type: date
#         - name: custom_watch_list
#           label: 'Watch lists, multiple'
#           required: true
#           type: list
#           default: -1
#           data.provider: watch-lists
#           multiple: true
#         - name: custom_watch_list_single
#           label: 'Watch lists, single'
#           required: true
#           type: list
#           default: -1
#           data.provider: watch-lists
#         - name: custom_boolean
#           label: 'Custom checkbox, boolean'
#           required: true
#           type: boolean
#         - name: custom_list_dict
#           label: 'List field dictionary, optional'
#           type: list
#           multiple: true
#           items:
#             - label: A
#               value: a
#             - label: B
#               value: b
#         - name: custom_list_numbers
#           label: 'List field, optional'
#           type: list
#           items:
#             - 1
#             - 10
#             - 10000
#   - path: /custom/some/path
#     description: Creating report without form
bi_url: http://172.17.47.211:8088/
alarm_app_url: http://172.17.47.211:4444/
# Adjustable confidence threshold presets for objects matching.
# Please consult with our support before changing.
objects:
  faces:
    features:
      age:
        name: age
        type: number
        formatter: age
        filter:
          props:
            - age_gte
            - age_lte
        index: 0
      gender:
        name: gender
        classes:
          - male
          - female
        formatter: short
        index: 1
      emotions:
        name: emotions
        classes:
          - angry
          - disgust
          - fear
          - happy
          - sad
          - surprise
          - neutral
        formatter: short
        index: 2
      beard:
        name: beard
        extractor: beard
        classes:
          - none
          - beard
        formatter: short
        index: 3
      eyes_attrs:
        name: eyes_attrs
        extractor: eyes_attrs
        classes:
          - opened
          - closed
          - occluded
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        formatter: short
        index: 4
      glasses:
        name: glasses
        extractor: glasses
        classes:
          - eye
          - sun
          - other
          - none
        formatter: short
        index: 5
      medmask:
        name: medmask
        extractor: medmask
        classes:
          - none
          - incorrect
          - correct
        formatter: short
        index: 6
      headpose_yaw:
        name: headpose_yaw
        formatter: angle
        type: number
        extractor: headpose
        filter:
          excluded:
            - clusters
          props:
            - headpose_yaw_angle_gte
            - headpose_yaw_angle_lte
        index: 7
      headpose_pitch:
        name: headpose_pitch
        type: number
        formatter: angle
        extractor: headpose
        filter:
          excluded:
            - clusters
          props:
            - headpose_pitch_angle_gte
            - headpose_pitch_angle_lte
        index: 8
      liveness:
        name: liveness
        extractor: liveness
        classes:
          - real
          - fake
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        index: 9
      temperature:
        name: temperature
        type: number
        extractor: temperature
        filter:
          props:
            - temperature_gte
            - temperature_lte
        index: 10
    confidence_display:
      - confidence: 0
        color: var(--color-negative)
        label:
          ru: Очень низкий
          en: Very Low
      - confidence: 0.625
        color: var(--color-negative)
        label:
          ru: Низкий
          en: Low
      - confidence: 0.683
        color: var(--color-warning)
        label:
          ru: Пониженный
          en: Slightly Low
      - confidence: 0.702
        color: var(--color-warning)
        label:
          ru: Нормальный
          en: Moderate
      - confidence: 0.723
        color: var(--color-positive)
        label:
          ru: Повышенный
          en: Slightly High
      - confidence: 0.75
        color: var(--color-positive)
        label:
          ru: Высокий
          en: High
      - confidence: 0.777
        color: var(--color-positive)
        label:
          ru: Очень высокий
          en: Very High
  cars:
    features:
      license_plate_number_unknown:
        name: license_plate_number_unknown
        extractor: license_plate
        index: -1
        classes:
          - unknown
          - known
        filter:
          excluded:
            - clusters
      license_plate_number:
        name: license_plate_number
        type: string
        extractor: license_plate
        index: 0
      license_plate_country:
        name: license_plate_country
        extractor: license_plate
        classes:
          - unknown
          - AM
          - BR
          - BY
          - GE
          - IN
          - KG
          - SA
          - KZ
          - RU
          - UA
          - AE
          - UZ
          - VN
          - AZ
          - EST
          - FIN
          - LT
          - LV
          - MD
          - MX
          - AR
          - PK
          - SRB
          - TJ
          - TH
          - TM
          - CZ
          - CN
          - EG
          - JP
          - MN
          - MA
          - PS
          - SG
          - KR
          - BH
          - CO
          - PE
          - QA
          - TN
          - TR
          - IR
          - IQ
          - JO
          - KW
          - OM
          - ZA
        formatter: short
        index: 1
      make:
        name: make
        extractor: description
        classes:
          - aabenraa
          - abarth
          - ac
          - acura
          - adler
          - adria
          - aebi
          - aec
          - aero
          - ail
          - aiways
          - aixam
          - ajokki
          - alexander_dennis
          - alfa_busz
          - alfa_romeo
          - alpina
          - alpine
          - alpus
          - alvis
          - am_general
          - amc
          - anadol
          - andecar
          - ankai
          - arca
          - ariel
          - aro
          - ashok_leyland
          - asia
          - aston_martin
          - astra
          - auburn
          - audi
          - aurus
          - austin
          - austin_healey
          - auto_union
          - autobianchi
          - autosan
          - avia
          - avtokam
          - avtostil
          - ayats
          - baic
          - bajaj
          - barkas
          - baz
          - beauford
          - bedford
          - beifang_benchi
          - belarus
          - belaz
          - belkamunmash
          - benimar
          - bentley
          - berkhof
          - berliet
          - bertone
          - best_n
          - bestune
          - beulas
          - bilenkin
          - bioauto
          - bitter
          - bizzarrini
          - blakely
          - blue_bird
          - bmc
          - bmw
          - bogdan
          - bohse
          - bollore
          - bond
          - bonum
          - borgward
          - bova
          - bowler
          - bradley
          - bremach
          - bricklin
          - brilliance
          - bristol
          - bryanskiy_arsenal
          - bucher
          - buell
          - bugatti
          - buick
          - bumar_fablok
          - burillo
          - burstner
          - burton
          - byd
          - cacciamali
          - cadillac
          - caetano
          - camc
          - can_am
          - carado
          - caravans_international
          - carrus
          - carthago
          - castrosua
          - caterham
          - challenger
          - chana
          - changan
          - changfeng
          - changhe
          - chausson
          - chaz
          - cherkassy_bus
          - chery
          - chetra
          - chevrolet
          - chicago_pneumatic
          - chrysler
          - chsdm
          - chtz
          - chzpt
          - chzsa
          - ciimo
          - cimc
          - cisitalia
          - citroen
          - claas
          - clenet
          - cmc
          - cnhtc
          - coachmen
          - cobus
          - colani
          - comarth
          - comil_pia
          - commer
          - compass
          - concorde
          - cord
          - cowin
          - crobus
          - crrc
          - cs_reisemobile
          - csepel
          - cttm
          - cukurova
          - cunningham
          - cupra
          - currus
          - dab
          - dacia
          - dadi
          - daelim
          - daewoo
          - daf
          - daihatsu
          - daimler
          - daimler_dmg
          - dajiang
          - dallara
          - damon
          - darracq
          - datsun
          - david
          - dax
          - dayun
          - daz
          - db
          - de_dion_bouton
          - de_simon
          - de_tomaso
          - delage
          - delahaye
          - delorean_motor_company
          - delta
          - demag
          - den_oudsten
          - dennis
          - denolf_and_depla
          - denza
          - derways
          - desna
          - desoto
          - dethleffs
          - dfsk
          - dino
          - dkw
          - dodge
          - dongben
          - dongfeng
          - doninvest
          - donkervoort
          - doosan
          - dormash
          - dorteller
          - dr_motor_company
          - dragon_motor_company
          - drogmoller
          - ds
          - duesenberg
          - duple
          - durso
          - dutton
          - dw_hower
          - dypety
          - eagle
          - east_lancs
          - easymile
          - ebro
          - ebusco
          - edsel
          - effedi
          - elaz
          - elddis
          - electra_meccanica
          - electron
          - elmash
          - elnagh
          - emelba
          - emgrand
          - englon
          - eos
          - erf
          - eriba
          - erikoiskori
          - ernst_auwarter
          - essex
          - estrima
          - etuk_factory
          - eura_mobil
          - everus
          - evropritsep
          - excalibur
          - exeed
          - faw
          - feifan
          - ferrari
          - fiat
          - fisker
          - ford
          - forest_river
          - fornasari
          - foton
          - foxbus
          - foxtank
          - frankia
          - frazer_nash
          - freight_rover
          - freightliner
          - fresia
          - fsc_lublin
          - fsm
          - fso
          - ftf
          - fuqi
          - gac
          - gaz
          - geely
          - genesis
          - geo
          - gmc
          - great_wall
          - haargaz
          - hafei
          - haima
          - hainje
          - hako
          - halaz
          - hankuk_fiber
          - hanomag
          - hansa
          - hanteng
          - harbin
          - hartung
          - hatehof_carmor
          - haval
          - hawk
          - hawtai
          - healey
          - heinkel
          - helmark
          - hengtong
          - henschel
          - hess
          - heuliez
          - higer
          - hillman
          - hindustan
          - hino
          - hiphi
          - hispano
          - hispano_aleman
          - hispano_suiza
          - hobby
          - hodgep
          - holden
          - holiday_rambler
          - hommell
          - honda
          - hongqi
          - hongyan
          - honker
          - horch
          - hotchkiss
          - hsv
          - huabei
          - huanda
          - huanghai
          - huansu
          - huasong
          - huaxi
          - huaxia
          - huayu
          - hudson
          - huizhong
          - humber
          - hummer
          - hupmobile
          - hurtan
          - hycan
          - hydros
          - hymer
          - hyosung
          - hyundai
          - ic
          - ifa
          - ig
          - ikarbus
          - ikarus
          - imperial
          - imv
          - indcar
          - infiniti
          - innocenti
          - international
          - interpipevan
          - intrall
          - invicta
          - ipv
          - iran_khodro
          - irbis
          - irisbus
          - irizar
          - irmaos_mota
          - irmscher
          - iso
          - istok
          - isuzu
          - itala
          - italjet
          - itasca
          - itineo
          - iveco
          - izh
          - jac
          - jaguar
          - jba
          - jdm
          - jeep
          - jelcz
          - jensen
          - jetour
          - jetta
          - jiangnan
          - jide
          - jinbei
          - jinghua
          - jit_luen
          - jmc
          - joint
          - jonckheere
          - jowett
          - joylong
          - jungheinrich
          - jyki
          - kabe
          - kaipan
          - kaiser
          - kamaz
          - kandi
          - kapena
          - kapri
          - karosa
          - karry
          - karsan
          - kato
          - kavz
          - kaz
          - kenworth
          - khaz
          - khazar
          - khtz
          - kia
          - kiitokori
          - king_long
          - kirovets
          - kleinschnittger
          - kmz
          - knaus
          - kobelco
          - koenigsegg
          - komatsu
          - kougar
          - kravtex
          - kraz
          - krone
          - krupp
          - kuban
          - kutsenits
          - kutter
          - kuzbass
          - kyburz
          - kzkt
          - lafer_s_a
          - lag
          - lagonda
          - lahti
          - laika
          - lamberet
          - lamborghini
          - lambretta
          - lancia
          - land_rover
          - landwind
          - laz
          - ldv
          - levc
          - lexus
          - leyland
          - liaz
          - liaz_cz
          - liebherr
          - lifan
          - ligier
          - lincoln
          - livezone
          - lmc
          - lohr
          - london_taxi_company
          - lotos
          - lotus
          - lti
          - ltz
          - luaz
          - luxgen
          - lynk_and_co
          - lza
          - mabi
          - mack
          - magirus_deutz
          - mahindra
          - malaguti
          - man
          - maple
          - marbus
          - marcopolo
          - marcos
          - marlin
          - marmon
          - marussia
          - maruti
          - marz
          - maserati
          - mash
          - mat
          - mathis
          - matra
          - maxus
          - maybach
          - maz
          - maz_man
          - mazda
          - mbk
          - mclaren
          - mclouis
          - mcv
          - mcw
          - mdt
          - mega
          - melkus
          - menarini
          - mercedes
          - mercedes_benz
          - mercury
          - merkavim
          - merkur
          - messerschmitt
          - metrocab
          - mettalist
          - meyers
          - mg
          - mia_electric
          - microcar
          - midas
          - minerva
          - mini
          - mitsubishi
          - mitsuoka
          - moaz
          - mobilvetta
          - moia
          - montesa
          - mordovagromash
          - morelo
          - morgan
          - morgan_olson
          - morris
          - moscvich
          - moskovit
          - most
          - motor_coach_industries
          - mowag
          - mpm
          - mtm
          - mudan
          - multicar
          - mv_agusta
          - mz
          - mzkt
          - nabi
          - napier
          - nash
          - nasteviya
          - naveco
          - neckar
          - nefaz_nzas
          - neman
          - neobus
          - neoplan
          - neta
          - new_flyer
          - newcar
          - newmar
          - ng
          - niesmann_plus_bischoff
          - niewiadow
          - nio
          - nissan
          - nizhegorodets
          - noble
          - noge
          - noone
          - norton
          - nova_bus
          - nova_trailers
          - novosibarz
          - npo_plavsk
          - nsu
          - ntts_evrika_trade
          - nysa
          - oaf
          - oasa
          - obradors
          - oldsmobile
          - oltcit
          - om_officine_meccaniche
          - omnibus
          - omoda
          - opel
          - optare
          - ora
          - orion
          - orlandi
          - orolstroymash
          - osca
          - oshan_oushang
          - oshkosh
          - otokar
          - otoyol
          - packard
          - padane
          - pagani
          - panhard
          - pannonia
          - panoz
          - panther
          - pars_khodro
          - patron
          - paz
          - peel
          - pegaso
          - perodua
          - peterbilt
          - peugeot
          - pgmf
          - pgo
          - pgo_automobiles
          - phoenix
          - pierce
          - pierce_arrow
          - pilgrim
          - pilote
          - pla
          - plasan
          - plaxton
          - plymouth
          - pmz
          - polaris
          - polestar
          - politrans
          - polski_fiat
          - pontiac
          - porsche
          - possl
          - ppm
          - praga
          - prestigetrailers
          - prevost
          - prince
          - pritsepvologdamash
          - probus
          - prodmash
          - proton
          - pskovavto
          - ptz
          - puch
          - puma
          - pyeonghwa
          - qingqi
          - qoros
          - quadro
          - qvale
          - raba
          - racer
          - radical
          - raf
          - rally
          - ram
          - rambler
          - rampini
          - ramseier_and_jenzer
          - randon
          - rapido
          - ravon
          - rayton_fissore
          - reform_muli
          - reliant
          - renault
          - reo
          - repstad
          - reva
          - rewaco
          - reynolds_boughton
          - riich
          - riley
          - rimac
          - rimor
          - riocar
          - rm
          - rm_terex
          - rmz
          - roarz
          - roaz
          - robur
          - rocar
          - rockwood
          - roding
          - roewe
          - rolfo
          - roller_team
          - rolls_royce
          - rom_carmel
          - roman
          - romanital
          - romet
          - ronart
          - roosevelt
          - rosenbauer
          - rosengart
          - rosero_p
          - rover
          - royal_enfield
          - ruf
          - rugby
          - rusich
          - russcan
          - russo_baltique
          - ruta
          - saab
          - saffle
          - saipa
          - saleen
          - salmson
          - samauto
          - samco
          - samsung
          - sanos
          - santana
          - sany
          - sarmat
          - saturn
          - saurer
          - scam
          - scania
          - schmitz
          - scion
          - seat
          - seaz
          - secma
          - seddon_atkinson
          - semar
          - semaz
          - senova
          - seres
          - sespel
          - setra
          - shacman_shaanxi
          - shanghai_maple
          - shaolin
          - shuanghuan
          - shuchi
          - siata
          - siata_espanola
          - sibtral_kzap_kzpt
          - silant
          - silence
          - simaz
          - simca
          - singer
          - sisu
          - sitcar
          - ski_doo
          - skoda
          - skywell
          - sma
          - smart
          - smit
          - smz
          - sokon
          - solaris
          - solbus
          - sor
          - soueast
          - spartan_cars
          - specpricep
          - spetsavtokam
          - spier
          - spijkstaal
          - spyker
          - ssang_yong
          - staco
          - standard
          - star
          - start
          - stavpritsep
          - stels
          - sterling
          - steyr
          - stryi_avto
          - studebaker
          - subaru
          - sun_living
          - sunbeam
          - sunlight
          - sunlong_shenlong
          - sunsundegui
          - suzuki
          - swift_motorhomes
          - tabbert
          - tadano
          - tagaz
          - tajikistan
          - talbot
          - tam
          - tank
          - tarpan
          - tart
          - tata
          - tatra
          - tavmz
          - taz
          - tazzari
          - tec
          - tecnobus
          - temsa
          - terberg
          - terex
          - terex_demag
          - tesla
          - tgb
          - thaco
          - think
          - thomas
          - thor
          - tianjin_faw_huali
          - tianjin_faw_xiali
          - tianma
          - tianye
          - tiema
          - tiffin
          - tilbury
          - tmt_motors
          - tofas
          - tojeiro
          - tomassini
          - tomos
          - tonar
          - tongxin
          - toyota
          - trabant
          - transles
          - transport_ttm
          - trekol
          - triumph
          - trojan
          - trolza
          - trumpchi
          - tur
          - tverstroimash
          - tvr
          - uaz
          - ud_trucks
          - ugarte
          - ultima
          - umg_sdm
          - umm
          - unic
          - unvi
          - ural
          - uralets
          - uro
          - ursus
          - utic
          - uzst
          - van_hool
          - vanden_plas
          - vanderhall
          - varz
          - vauxhall
          - vaz
          - vbk
          - vdl
          - veam_motor
          - vehixel
          - velorex
          - vem
          - venturi
          - venucia
          - veritas
          - vest
          - vetter
          - vgtz
          - viasa
          - viking
          - vinfast
          - vis
          - viseon
          - vmtz
          - vmz_trans_alfa
          - voez
          - voisin
          - volgabus
          - volkswagen
          - volteis
          - volvo
          - vortex
          - voyah
          - vpg
          - w_motors
          - walter
          - wanderer
          - wartburg
          - weinsberg
          - weiwang
          - weltmeister
          - western_star
          - westfalia
          - westfield
          - wey
          - whippet
          - white
          - wiesmann
          - wiima
          - wikov
          - willis
          - willys
          - wingamm
          - winnebago
          - witzco_trailer
          - wolseley
          - wrightbus
          - wsk
          - wuling
          - wuzhoulong
          - xcmg
          - xev
          - xgo
          - xian
          - xingguang
          - xinkai
          - xmoto
          - xpeng
          - yaaz
          - yarovit
          - yate
          - yaxing
          - yeraz
          - yinlong
          - yo_auto
          - youngman
          - youyi
          - yuejin
          - yueloong
          - yutong
          - zamyad
          - zastava
          - zaz
          - zbrojovka
          - zd
          - zeekr
          - zenvo
          - zezts
          - zhejiang
          - zhongtong
          - zil
          - zimmer
          - zis
          - zonda
          - zoomlion
          - zotye
          - zssh
          - zundapp
          - zx
        formatter: unknown_class
        index: 2
      model:
        name: model
        extractor: description
        classes: []
        formatter: unknown_class
        index: 3
      color:
        name: color
        extractor: description
        classes:
          - beige
          - black
          - blue
          - brown
          - cyan
          - gold
          - green
          - grey
          - orange
          - pink
          - purple
          - red
          - silver
          - violet
          - white
          - yellow
        formatter: short
        index: 4
      body:
        name: body
        extractor: description
        classes:
          - suv
          - sedan
          - crossover
          - convertible
          - coupe
          - wagon
          - cab
          - minibus
          - minivan
          - limousine
        formatter: short
        index: 5
      # license_plate_number_color:
      #   name: license_plate_number_color
      #   extractor: license_plate
      #   classes:
      #     - unknown
      #     - white
      #     - yellow
      #     - blue
      #     - green
      #     - grey
      #   index: 6
      # license_plate_region:
      #   name: license_plate_region
      #   extractor: license_plate
      #   classes:
      #     - unknown
      #     - DXB
      #     - SHJ
      #     - ADH
      #     - AJM
      #     - UAK
      #     - RAK
      #     - FUJ
      #     - TH-10
      #     - TH-11
      #     - TH-12
      #     - TH-13
      #     - TH-14
      #     - TH-15
      #     - TH-16
      #     - TH-17
      #     - TH-18
      #     - TH-19
      #     - TH-20
      #     - TH-21
      #     - TH-22
      #     - TH-23
      #     - TH-24
      #     - TH-25
      #     - TH-26
      #     - TH-27
      #     - TH-30
      #     - TH-31
      #     - TH-32
      #     - TH-33
      #     - TH-34
      #     - TH-35
      #     - TH-36
      #     - TH-37
      #     - TH-38
      #     - TH-39
      #     - TH-40
      #     - TH-41
      #     - TH-42
      #     - TH-43
      #     - TH-44
      #     - TH-45
      #     - TH-46
      #     - TH-47
      #     - TH-48
      #     - TH-49
      #     - TH-50
      #     - TH-51
      #     - TH-52
      #     - TH-53
      #     - TH-54
      #     - TH-55
      #     - TH-56
      #     - TH-57
      #     - TH-58
      #     - TH-60
      #     - TH-61
      #     - TH-62
      #     - TH-63
      #     - TH-64
      #     - TH-65
      #     - TH-66
      #     - TH-67
      #     - TH-70
      #     - TH-71
      #     - TH-72
      #     - TH-73
      #     - TH-74
      #     - TH-75
      #     - TH-76
      #     - TH-77
      #     - TH-80
      #     - TH-81
      #     - TH-82
      #     - TH-83
      #     - TH-84
      #     - TH-85
      #     - TH-86
      #     - TH-90
      #     - TH-91
      #     - TH-92
      #     - TH-93
      #     - TH-94
      #     - TH-95
      #     - TH-96
      #   index: 7
      category:
        name: category
        extractor: category
        classes:
          - unknown
          - A
          - B
          - BE
          - C
          - CE
          - D
          - DE
          - other
        filter:
          name: category_type
          confidence:
            - webhooks
        formatter: short
        index: 8
      weight_type:
        name: weight_type
        extractor: weight_type
        classes:
          - B_light
          - B_heavy
          - C_light
          - C_heavy
          - D_light
          - D_long
          - other
        filter:
          confidence:
            - webhooks
        formatter: short
        index: 9
      special_vehicle_type:
        name: special_vehicle_type
        extractor: special_vehicle
        classes:
          - taxi
          - route_transport
          - car_sharing
          - ambulance
          - police
          - rescue_service
          - gas_service
          - military
          - road_service
          - cash_in_transit
          - other_special
          - not_special
        formatter: short
        index: 10
      orientation:
        name: orientation
        extractor: orientation
        classes:
          - unknown
          - front
          - back
          - side
        filter:
          excluded:
            - clusters
        formatter: short
        index: 11
    confidence_display:
      - confidence: 0
        color: var(--color-negative)
        label:
          ru: Очень низкий
          en: Very Low
      - confidence: 0.3
        color: var(--color-negative)
        label:
          ru: Низкий
          en: Low
      - confidence: 0.45
        color: var(--color-warning)
        label:
          ru: Пониженный
          en: Slightly Low
      - confidence: 0.65
        color: var(--color-warning)
        label:
          ru: Нормальный
          en: Moderate
      - confidence: 0.75
        color: var(--color-positive)
        label:
          ru: Повышенный
          en: Slightly High
      - confidence: 0.85
        color: var(--color-positive)
        label:
          ru: Высокий
          en: High
      - confidence: 0.9
        color: var(--color-positive)
        label:
          ru: Очень высокий
          en: Very High
  bodies:
    features:
      age_group:
        name: age_group
        extractor: age_gender
        classes:
          - 0-16
          - 17-35
          - 36-50
          - 50+
        filter:
          confidence:
            - webhooks
        formatter: short
        index: 0
      gender:
        name: gender
        extractor: age_gender
        classes:
          - male
          - female
        filter:
          name: body_gender
          confidence:
            - webhooks
        formatter: short
        index: 1
      detailed_upper_clothes:
        name: detailed_upper_clothes
        extractor: clothes
        classes:
          - jacket
          - coat
          - sleeveless
          - sweatshirt
          - t-shirt
          - shirt
          - dress
        formatter: short
        index: 2
      upper_clothes:
        name: upper_clothes
        extractor: clothes
        classes:
          - long_sleeves
          - short_sleeves
          - without_sleeves
        formatter: short
        index: 3
      top_color:
        name: top_color
        extractor: color
        classes:
          - white
          - black
          - grey
          - brown
          - red
          - orange
          - yellow
          - green
          - lightblue
          - blue
          - purple
          - pink
          - beige
          - violet
        index: 4
      lower_clothes:
        name: lower_clothes
        extractor: clothes
        classes:
          - pants
          - obscured
          - skirt
          - shorts
        index: 5
      bottom_color:
        name: bottom_color
        extractor: color
        classes:
          - white
          - black
          - grey
          - brown
          - red
          - orange
          - yellow
          - green
          - lightblue
          - blue
          - purple
          - pink
          - beige
          - violet
        index: 6
      headwear:
        name: headwear
        extractor: clothes
        classes:
          - hat
          - hood
          - none
        index: 7
      bag_hand:
        name: bag_hand
        extractor: bags
        classes:
          - hand
          - none
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        index: 8
      bag_back:
        name: bag_back
        extractor: bags
        classes:
          - back
          - none
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        index: 9
      #      bag_ground:
      #        name: bag_ground
      #        extractor: bags
      #        classes:
      #          - ground
      #          - none
      #        filter:
      #          confidence:
      #            - webhooks
      #          excluded:
      #            - clusters
      #        index: 10
      vest_type:
        name: vest_type
        extractor: protective_equipment
        classes:
          - green/yellow
          - orange
          - not_visible
          - none
        filter:
          confidence:
            - webhooks
        index: 11
      helmet_type:
        name: helmet_type
        extractor: protective_equipment
        classes:
          - red/orange
          - white
          - other
          - not_visible
          - none
        filter:
          confidence:
            - webhooks
        index: 12
      fall:
        name: fall
        extractor: fall
        classes:
          - fall
          - none
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        index: 13
      handface_smoking:
        name: handface_smoking
        extractor: handface
        classes:
          - smoking
          - none
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        index: 14
      handface_phone_use:
        name: handface_phone_use
        extractor: handface
        classes:
          - phone_use
          - none
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        index: 15
      handface_phone_call:
        name: handface_phone_call
        extractor: handface
        classes:
          - phone_call
          - none
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        index: 16
      handface_taking_pictures:
        name: handface_taking_pictures
        extractor: handface4
        classes:
          - photo
          - none
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        index: 17
      uniform:
        name: uniform
        extractor: pedattr.uniform.v0
        classes:
          - civilian
          - police
          - military
          - none
        filter:
          confidence:
            - webhooks
          excluded:
            - clusters
        index: 18
    confidence_display:
      - confidence: 0
        color: var(--color-negative)
        label:
          ru: Очень низкий
          en: Very Low
      - confidence: 0.5
        color: var(--color-negative)
        label:
          ru: Низкий
          en: Low
      - confidence: 0.6
        color: var(--color-warning)
        label:
          ru: Пониженный
          en: Slightly Low
      - confidence: 0.65
        color: var(--color-warning)
        label:
          ru: Нормальный
          en: Moderate
      - confidence: 0.8
        color: var(--color-positive)
        label:
          ru: Повышенный
          en: Slightly High
      - confidence: 0.85
        color: var(--color-positive)
        label:
          ru: Высокий
          en: High
      - confidence: 0.9
        color: var(--color-positive)
        label:
          ru: Очень высокий
          en: Very High
video_player:
  overlay:
    objects:
      faces:
        bbox: true
        info: true
      bodies:
        bbox: true
        info: true
      cars:
        bbox: true
        info: true
    gdpr: false
  timeline:
    min_zoom: 0.2
    max_zoom: 200
    objects:
      events:
        faces:
          enabled: true
          limit: 500
          matchedColor: rgba(6,193,103,0.8)
          unmatchedColor: rgba(232,92,74,0.8)
        bodies:
          enabled: false
          limit: 500
          matchedColor: rgba(6,193,103,0.8)
          unmatchedColor: rgba(232,92,74,0.8)
        cars:
          enabled: false
          limit: 500
          matchedColor: rgba(6,193,103,0.8)
          unmatchedColor: rgba(232,92,74,0.8)
      episodes:
        humans:
          enabled: false
          limit: 500
          matchedColor: rgba(6,193,103,0.8)
          unmatchedColor: rgba(232,92,74,0.8)
        cars:
          enabled: false
          limit: 500
          matchedColor: rgba(6,193,103,0.8)
          unmatchedColor: rgba(232,92,74,0.8)
  onvif:
    ptz:
      defaultPosition:
        pan: 1e-6
        tilt: 1e-6
vms:
  enabled: true
external_vms:
  max_width: 320
  max_height: 240
  quality: 50
counters:
  update_interval: 30
  show_proximity: false
hooks_default_filters:
  url: ui-static/hooks_default_filters.json
# -----------------------
# ANNEX CONFIG EXAMPLE
annex:
  enabled: true
  comments:
    - Произведены действия по тревоге.
    - Приняты меры по безопасности.
    - Проведен осмотр территории.
    - Сообщено в соответствующие службы.
    - Ложная тревога, неправильное срабатывание.
    - Нажатие по ошибке.
# MAP CONFIG EXAMPLE
map:
  enabled: true
  default_zoom: 15
  default_center:
    lat: 55.7558
    lng: 37.6173
  maximum_objects_on_map: 250
  show_cameras_thumbnails: true
  providers:
    - id: default
      name: OSM
      type: tile
      url: https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png
    # - id: stamen
    #   name: Stamen Toner
    #   type: tile
    #   url: 'https://tiles.stadiamaps.com/tiles/stamen_toner/{z}/{x}/{y}.png'
# languages:
#   select-language: true
#   items:
#     - name: en
#       label: English
#       url: /ui-static/i18n/en_ffmulti.po
# multi_source_system:
#   enabled: true

